{
  "schema_version": "1.4.0",
  "id": "GHSA-cmv8-452f-24ph",
  "modified": "2022-05-01T01:49:41Z",
  "published": "2022-05-01T01:49:41Z",
  "aliases": [
    "CVE-2005-0467"
  ],
  "details": "Multiple integer overflows in the (1) sftp_pkt_getstring and (2) fxp_readdir_recv functions in the PSFTP and PSCP clients for PuTTY 0.56, and possibly earlier versions, allow remote malicious web sites to execute arbitrary code via SFTP responses that corrupt the heap after insufficient memory has been allocated.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2005-0467"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/19403"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/14333"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/17214"
    },
    {
      "type": "WEB",
      "url": "http://www-1.ibm.com/support/docview.wss?uid=ssg1S1002414"
    },
    {
      "type": "WEB",
      "url": "http://www-1.ibm.com/support/docview.wss?uid=ssg1S1002416"
    },
    {
      "type": "WEB",
      "url": "http://www.chiark.greenend.org.uk/~sgtatham/putty/wishlist/vuln-sftp-readdir.html"
    },
    {
      "type": "WEB",
      "url": "http://www.chiark.greenend.org.uk/~sgtatham/putty/wishlist/vuln-sftp-string.html"
    },
    {
      "type": "WEB",
      "url": "http://www.gentoo.org/security/en/glsa/glsa-200502-28.xml"
    },
    {
      "type": "WEB",
      "url": "http://www.idefense.com/application/poi/display?id=201&type=vulnerabilities"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2005-02-21T05:00:00Z"
  }
}